# docker-compose file for running tox tests
version: '3.7'
services:
  tox:
    build:
      context: '.'
      dockerfile: ./Dockerfile

    entrypoint: ["sh", "-c"]

    command: ["tox"]

    environment:
      - TOXINI_WORK_DIR=/tmp/tox-data/work
      - TOXINI_ARTEFACT_DIR=/tmp/tox-data/artefacts
      - TOXINI_SITEPACKAGES=True
      - COVERAGE_FILE=/tmp/tox-data/coverage

    volumes:
      - tox-data:/tmp/tox-data

volumes:
  # A persistent volume for tox to store its stuff. This allows caching of
  # virtualenvs between runs.
  tox-data:
